Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Downgrading bootloader

OP Steven1962

17th August 2014, 07:51 AM   |  #1  
OP Senior Member
Thanks Meter: 15
 
112 posts
Join Date:Joined: Jan 2012
Hi,

I am on the latest stock NG1 Rom after upgrading with Mobile Odin Pro from NB7 which I had successfully rooted with Towelroot. Since MOP doesn't flash bootloaders I am still on the old NB7 bootloader and so far I am fine and don't have any issues. But I have 2 questions.
First, is it better to subsequently flash the new bootloader with Odin each time I upgrade my firmware with MOP and everroot? Are there any benefits to that?
And secondly: if I upgrade my old NB7 bootloader to NG1 now and later - if I get softbricked or smth - downgrade again to NB7 with Odin to reroot the phone with Towelroo,t will I trigger Knox because of downgrading the bootloader?
Thanks very much in abvance.
17th August 2014, 11:25 AM   |  #2  
speedyjay's Avatar
Senior Member
Flag Guildford
Thanks Meter: 353
 
1,872 posts
Join Date:Joined: Oct 2011
More
Its not possible to downgrade your bootloader. End of conversation.
17th August 2014, 01:01 PM   |  #3  
OP Senior Member
Thanks Meter: 15
 
112 posts
Join Date:Joined: Jan 2012
Quote:
Originally Posted by speedyjay

Its not possible to downgrade your bootloader. End of conversation.

Which means that if I upgrade the bootloader to NG1 and then try to flash with Odin the NB7 firmware with the old bootloader I simply won't be able to boot or get bricked?
Or maybe I can reflash the old NB7 firmware and then (without auto start option in Odin) flash the new bootloader right away to get the phone running?
17th August 2014, 03:01 PM   |  #4  
speedyjay's Avatar
Senior Member
Flag Guildford
Thanks Meter: 353
 
1,872 posts
Join Date:Joined: Oct 2011
More
For example: if you were on Android V4.3 you will be on the Jelly Bean bootloader. If you then updated to Android V4.4 your Jelly Bean bootloader will be updated to the KK bootloader. However, you can still run Jelly Bean on the KK bootloader. But you cannot downgrade the KK bootloader to the older Jelly Bean bootloader.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes